All Apps and Add-ons
Highlighted

Splunk Cloud compatibility for Splunk Add-on for NGINX

Communicator

Hi. We requested this add-on be installed in Splunk Cloud and received the following answer from Splunk Cloud. Can you all provide Splunk Cloud compatibility?

"Our Splunk Cloud operations and security teams have determined that the App you've requested is not compatible and/or secure within the Splunk Cloud service architecture. Please see their comments below:
Thank you for your app install request. Your app did not meet security and functionality requirements for Splunk Cloud for the following reasons:The application can be configured for unencrypted communication, which is not permitted in Splunk Cloud. All communication must be encrypted (HTTPS preferred).Once these issues are remedied you can resubmit your app for review.Alternatives:If the customer would like the display elements in this app (e.g., dashboards, panels, etc..), they should modify the app [...] to remove any unneeded componentsUpdate the regex specified in nginx_status.py to only allow HTTPS endpoints
"

Highlighted

Re: Splunk Cloud compatibility for Splunk Add-on for NGINX

SplunkTrust
SplunkTrust

This is a Splunk built and supported app, you should be able to file a support ticket for them to fix this, though it does say that it is only compatible with Splunk Enterprise...so it might be a while since this could be construed as a Feature Request.

https://splunkbase.splunk.com/app/3258/

0 Karma
Highlighted

Re: Splunk Cloud compatibility for Splunk Add-on for NGINX

Communicator

I know right? As you can see from my post -- I did file a support case with them. And I did ask them to address the issue. I was a little flummoxed that they suggested that I post here. shrug

0 Karma